package com.mortals.xhx.module.skin.model;

import java.util.List;
import com.mortals.xhx.module.skin.model.SkinEntity;
/**
* 皮肤查询对象
*
* @author zxfei
* @date 2023-04-03
*/
public class SkinQuery extends SkinEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 所属种类,来源种类 */
    private Long categoryIdStart;

    /** 结束 所属种类,来源种类 */
    private Long categoryIdEnd;

    /** 增加 所属种类,来源种类 */
    private Long categoryIdIncrement;

    /** 所属种类,来源种类列表 */
    private List <Long> categoryIdList;

    /** 所属种类,来源种类排除列表 */
    private List <Long> categoryIdNotList;

    /** 开始 产品id */
    private Long productIdStart;

    /** 结束 产品id */
    private Long productIdEnd;

    /** 增加 产品id */
    private Long productIdIncrement;

    /** 产品id列表 */
    private List <Long> productIdList;

    /** 产品id排除列表 */
    private List <Long> productIdNotList;

    /** 产品名称 */
    private List<String> productNameList;

    /** 产品名称排除列表 */
    private List <String> productNameNotList;
    /** css模板合成后文件地址 */
    private List<String> cssFilePathList;

    /** css模板合成后文件地址排除列表 */
    private List <String> cssFilePathNotList;
    /** 产品皮肤名称，唯一且不为空 */
    private List<String> nameList;

    /** 产品皮肤名称，唯一且不为空排除列表 */
    private List <String> nameNotList;
    /** 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280) */
    private List<String> imageResolutionList;

    /** 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)排除列表 */
    private List <String> imageResolutionNotList;
    /** 预览图片 */
    private List<String> previewImagePathList;

    /** 预览图片排除列表 */
    private List <String> previewImagePathNotList;
    /** 开始 排序编号 */
    private Integer sortNumStart;

    /** 结束 排序编号 */
    private Integer sortNumEnd;

    /** 增加 排序编号 */
    private Integer sortNumIncrement;

    /** 排序编号列表 */
    private List <Integer> sortNumList;

    /** 排序编号排除列表 */
    private List <Integer> sortNumNotList;

    /** 开始 是否使用 */
    private Integer usedStart;

    /** 结束 是否使用 */
    private Integer usedEnd;

    /** 增加 是否使用 */
    private Integer usedIncrement;

    /** 是否使用列表 */
    private List <Integer> usedList;

    /** 是否使用排除列表 */
    private List <Integer> usedNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SkinQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SkinQuery> andConditionList;

    public SkinQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 所属种类,来源种类
    * @return categoryIdStart
    */
    public Long getCategoryIdStart(){
        return this.categoryIdStart;
    }

    /**
    * 设置 开始 所属种类,来源种类
    * @param categoryIdStart
    */
    public void setCategoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
    }

    /**
    * 获取 结束 所属种类,来源种类
    * @return $categoryIdEnd
    */
    public Long getCategoryIdEnd(){
        return this.categoryIdEnd;
    }

    /**
    * 设置 结束 所属种类,来源种类
    * @param categoryIdEnd
    */
    public void setCategoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
    * 获取 增加 所属种类,来源种类
    * @return categoryIdIncrement
    */
    public Long getCategoryIdIncrement(){
        return this.categoryIdIncrement;
    }

    /**
    * 设置 增加 所属种类,来源种类
    * @param categoryIdIncrement
    */
    public void setCategoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
    * 获取 所属种类,来源种类
    * @return categoryIdList
    */
    public List<Long> getCategoryIdList(){
        return this.categoryIdList;
    }

    /**
    * 设置 所属种类,来源种类
    * @param categoryIdList
    */
    public void setCategoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
    }

    /**
    * 获取 所属种类,来源种类
    * @return categoryIdNotList
    */
    public List<Long> getCategoryIdNotList(){
        return this.categoryIdNotList;
    }

    /**
    * 设置 所属种类,来源种类
    * @param categoryIdNotList
    */
    public void setCategoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
    }


    /**
    * 获取 开始 产品id
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品id
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品id
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品id
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品id
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品id
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品id
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品id
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 产品id
    * @return productIdNotList
    */
    public List<Long> getProductIdNotList(){
        return this.productIdNotList;
    }

    /**
    * 设置 产品id
    * @param productIdNotList
    */
    public void setProductIdNotList(List<Long> productIdNotList){
        this.productIdNotList = productIdNotList;
    }


    /**
    * 获取 产品名称
    * @return productNameList
    */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }

    /**
    * 获取 产品名称
    * @return productNameNotList
    */
    public List<String> getProductNameNotList(){
        return this.productNameNotList;
    }

    /**
    * 设置 产品名称
    * @param productNameNotList
    */
    public void setProductNameNotList(List<String> productNameNotList){
        this.productNameNotList = productNameNotList;
    }

    /**
    * 获取 css模板合成后文件地址
    * @return cssFilePathList
    */
    public List<String> getCssFilePathList(){
        return this.cssFilePathList;
    }

    /**
    * 设置 css模板合成后文件地址
    * @param cssFilePathList
    */
    public void setCssFilePathList(List<String> cssFilePathList){
        this.cssFilePathList = cssFilePathList;
    }

    /**
    * 获取 css模板合成后文件地址
    * @return cssFilePathNotList
    */
    public List<String> getCssFilePathNotList(){
        return this.cssFilePathNotList;
    }

    /**
    * 设置 css模板合成后文件地址
    * @param cssFilePathNotList
    */
    public void setCssFilePathNotList(List<String> cssFilePathNotList){
        this.cssFilePathNotList = cssFilePathNotList;
    }

    /**
    * 获取 产品皮肤名称，唯一且不为空
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 产品皮肤名称，唯一且不为空
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 产品皮肤名称，唯一且不为空
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 产品皮肤名称，唯一且不为空
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @return imageResolutionList
    */
    public List<String> getImageResolutionList(){
        return this.imageResolutionList;
    }

    /**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolutionList
    */
    public void setImageResolutionList(List<String> imageResolutionList){
        this.imageResolutionList = imageResolutionList;
    }

    /**
    * 获取 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @return imageResolutionNotList
    */
    public List<String> getImageResolutionNotList(){
        return this.imageResolutionNotList;
    }

    /**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolutionNotList
    */
    public void setImageResolutionNotList(List<String> imageResolutionNotList){
        this.imageResolutionNotList = imageResolutionNotList;
    }

    /**
    * 获取 预览图片
    * @return previewImagePathList
    */
    public List<String> getPreviewImagePathList(){
        return this.previewImagePathList;
    }

    /**
    * 设置 预览图片
    * @param previewImagePathList
    */
    public void setPreviewImagePathList(List<String> previewImagePathList){
        this.previewImagePathList = previewImagePathList;
    }

    /**
    * 获取 预览图片
    * @return previewImagePathNotList
    */
    public List<String> getPreviewImagePathNotList(){
        return this.previewImagePathNotList;
    }

    /**
    * 设置 预览图片
    * @param previewImagePathNotList
    */
    public void setPreviewImagePathNotList(List<String> previewImagePathNotList){
        this.previewImagePathNotList = previewImagePathNotList;
    }

    /**
    * 获取 开始 排序编号
    * @return sortNumStart
    */
    public Integer getSortNumStart(){
        return this.sortNumStart;
    }

    /**
    * 设置 开始 排序编号
    * @param sortNumStart
    */
    public void setSortNumStart(Integer sortNumStart){
        this.sortNumStart = sortNumStart;
    }

    /**
    * 获取 结束 排序编号
    * @return $sortNumEnd
    */
    public Integer getSortNumEnd(){
        return this.sortNumEnd;
    }

    /**
    * 设置 结束 排序编号
    * @param sortNumEnd
    */
    public void setSortNumEnd(Integer sortNumEnd){
        this.sortNumEnd = sortNumEnd;
    }

    /**
    * 获取 增加 排序编号
    * @return sortNumIncrement
    */
    public Integer getSortNumIncrement(){
        return this.sortNumIncrement;
    }

    /**
    * 设置 增加 排序编号
    * @param sortNumIncrement
    */
    public void setSortNumIncrement(Integer sortNumIncrement){
        this.sortNumIncrement = sortNumIncrement;
    }

    /**
    * 获取 排序编号
    * @return sortNumList
    */
    public List<Integer> getSortNumList(){
        return this.sortNumList;
    }

    /**
    * 设置 排序编号
    * @param sortNumList
    */
    public void setSortNumList(List<Integer> sortNumList){
        this.sortNumList = sortNumList;
    }

    /**
    * 获取 排序编号
    * @return sortNumNotList
    */
    public List<Integer> getSortNumNotList(){
        return this.sortNumNotList;
    }

    /**
    * 设置 排序编号
    * @param sortNumNotList
    */
    public void setSortNumNotList(List<Integer> sortNumNotList){
        this.sortNumNotList = sortNumNotList;
    }


    /**
    * 获取 开始 是否使用
    * @return usedStart
    */
    public Integer getUsedStart(){
        return this.usedStart;
    }

    /**
    * 设置 开始 是否使用
    * @param usedStart
    */
    public void setUsedStart(Integer usedStart){
        this.usedStart = usedStart;
    }

    /**
    * 获取 结束 是否使用
    * @return $usedEnd
    */
    public Integer getUsedEnd(){
        return this.usedEnd;
    }

    /**
    * 设置 结束 是否使用
    * @param usedEnd
    */
    public void setUsedEnd(Integer usedEnd){
        this.usedEnd = usedEnd;
    }

    /**
    * 获取 增加 是否使用
    * @return usedIncrement
    */
    public Integer getUsedIncrement(){
        return this.usedIncrement;
    }

    /**
    * 设置 增加 是否使用
    * @param usedIncrement
    */
    public void setUsedIncrement(Integer usedIncrement){
        this.usedIncrement = usedIncrement;
    }

    /**
    * 获取 是否使用
    * @return usedList
    */
    public List<Integer> getUsedList(){
        return this.usedList;
    }

    /**
    * 设置 是否使用
    * @param usedList
    */
    public void setUsedList(List<Integer> usedList){
        this.usedList = usedList;
    }

    /**
    * 获取 是否使用
    * @return usedNotList
    */
    public List<Integer> getUsedNotList(){
        return this.usedNotList;
    }

    /**
    * 设置 是否使用
    * @param usedNotList
    */
    public void setUsedNotList(List<Integer> usedNotList){
        this.usedNotList = usedNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SkinQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SkinQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SkinQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SkinQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SkinQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public SkinQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  所属种类,来源种类
    * @param categoryId
    */
    public SkinQuery categoryId(Long categoryId){
	    setCategoryId(categoryId);
		return this;
    }
	
	 /**
    * 设置 开始 所属种类,来源种类
    * @param categoryIdStart
    */
    public SkinQuery categoryIdStart(Long categoryIdStart){
		this.categoryIdStart = categoryIdStart;
		return this;
    }

    /**
    * 设置 结束 所属种类,来源种类
    * @param categoryIdEnd
    */
    public SkinQuery categoryIdEnd(Long categoryIdEnd){
		this.categoryIdEnd = categoryIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属种类,来源种类
    * @param categoryIdIncrement
    */
    public SkinQuery categoryIdIncrement(Long categoryIdIncrement){
		this.categoryIdIncrement = categoryIdIncrement;
		return this;
    }

    /**
    * 设置 所属种类,来源种类
    * @param categoryIdList
    */
    public SkinQuery categoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
		return this;
        }

        /**
        * 设置 所属种类,来源种类
        * @param categoryIdNotList
        */
        public SkinQuery categoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
        return this;
        }

    /**
    * 设置  产品id
    * @param productId
    */
    public SkinQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品id
    * @param productIdStart
    */
    public SkinQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品id
    * @param productIdEnd
    */
    public SkinQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品id
    * @param productIdIncrement
    */
    public SkinQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品id
    * @param productIdList
    */
    public SkinQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }

        /**
        * 设置 产品id
        * @param productIdNotList
        */
        public SkinQuery productIdNotList(List<Long> productIdNotList){
        this.productIdNotList = productIdNotList;
        return this;
        }


	/**
    * 设置 产品名称
    * @param productName
    */
    public SkinQuery productName(String productName){
        setProductName(productName);
		return this;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public SkinQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
		return this;
    }


	/**
    * 设置 css模板合成后文件地址
    * @param cssFilePath
    */
    public SkinQuery cssFilePath(String cssFilePath){
        setCssFilePath(cssFilePath);
		return this;
    }

    /**
    * 设置 css模板合成后文件地址
    * @param cssFilePathList
    */
    public SkinQuery cssFilePathList(List<String> cssFilePathList){
        this.cssFilePathList = cssFilePathList;
		return this;
    }


	/**
    * 设置 产品皮肤名称，唯一且不为空
    * @param name
    */
    public SkinQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 产品皮肤名称，唯一且不为空
    * @param nameList
    */
    public SkinQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolution
    */
    public SkinQuery imageResolution(String imageResolution){
        setImageResolution(imageResolution);
		return this;
    }

    /**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolutionList
    */
    public SkinQuery imageResolutionList(List<String> imageResolutionList){
        this.imageResolutionList = imageResolutionList;
		return this;
    }


	/**
    * 设置 预览图片
    * @param previewImagePath
    */
    public SkinQuery previewImagePath(String previewImagePath){
        setPreviewImagePath(previewImagePath);
		return this;
    }

    /**
    * 设置 预览图片
    * @param previewImagePathList
    */
    public SkinQuery previewImagePathList(List<String> previewImagePathList){
        this.previewImagePathList = previewImagePathList;
		return this;
    }

    /**
    * 设置  排序编号
    * @param sortNum
    */
    public SkinQuery sortNum(Integer sortNum){
	    setSortNum(sortNum);
		return this;
    }
	
	 /**
    * 设置 开始 排序编号
    * @param sortNumStart
    */
    public SkinQuery sortNumStart(Integer sortNumStart){
		this.sortNumStart = sortNumStart;
		return this;
    }

    /**
    * 设置 结束 排序编号
    * @param sortNumEnd
    */
    public SkinQuery sortNumEnd(Integer sortNumEnd){
		this.sortNumEnd = sortNumEnd;
		return this;
    }

    /**
    * 设置 增加 排序编号
    * @param sortNumIncrement
    */
    public SkinQuery sortNumIncrement(Integer sortNumIncrement){
		this.sortNumIncrement = sortNumIncrement;
		return this;
    }

    /**
    * 设置 排序编号
    * @param sortNumList
    */
    public SkinQuery sortNumList(List<Integer> sortNumList){
        this.sortNumList = sortNumList;
		return this;
        }

        /**
        * 设置 排序编号
        * @param sortNumNotList
        */
        public SkinQuery sortNumNotList(List<Integer> sortNumNotList){
        this.sortNumNotList = sortNumNotList;
        return this;
        }

    /**
    * 设置  是否使用
    * @param used
    */
    public SkinQuery used(Integer used){
	    setUsed(used);
		return this;
    }
	
	 /**
    * 设置 开始 是否使用
    * @param usedStart
    */
    public SkinQuery usedStart(Integer usedStart){
		this.usedStart = usedStart;
		return this;
    }

    /**
    * 设置 结束 是否使用
    * @param usedEnd
    */
    public SkinQuery usedEnd(Integer usedEnd){
		this.usedEnd = usedEnd;
		return this;
    }

    /**
    * 设置 增加 是否使用
    * @param usedIncrement
    */
    public SkinQuery usedIncrement(Integer usedIncrement){
		this.usedIncrement = usedIncrement;
		return this;
    }

    /**
    * 设置 是否使用
    * @param usedList
    */
    public SkinQuery usedList(List<Integer> usedList){
        this.usedList = usedList;
		return this;
        }

        /**
        * 设置 是否使用
        * @param usedNotList
        */
        public SkinQuery usedNotList(List<Integer> usedNotList){
        this.usedNotList = usedNotList;
        return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SkinQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SkinQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SkinQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SkinQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SkinQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public SkinQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SkinQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SkinQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SkinQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SkinQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}